Wind River Support Network

HomeDefectsLIN5-23340
Fixed

LIN5-23340 : Security Advisory - ghostscript - CVE-2017-9835

Created: Jul 27, 2017    Updated: May 29, 2018
Resolved Date: Aug 16, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The gs_alloc_ref_array function in psi/ialloc.c in Artifex Ghostscript 9.22 allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted PostScript document. This is related to a lack of an integer overflow check in base/gsalloc.c.

https://nvd.nist.gov/vuln/detail/CVE-2017-9835

Other Downloads


Live chat
Online